VisualEditor: Cannot save a page after adding gallery to a page
Closed, ResolvedPublic

Description

Screenshot of the error

Steps to reproduce:

1.Open a page with VE
2.Add a gallery from Insert>Gallery or just simply close the inspector without adding anything.
3.Click on the "Save Page" button

Observed Result:

The page cannot be saved.

An error appears in the console:
Uncaught Error: InvalidCharacterError: DOM Exception 5

See the screenshot attached.

Test Environment: https://test2.wikipedia.org/
Browser: Chrome Version 26.0.1410.65
OS: MAC OS X 10. 8. 5
Page:https://test2.wikipedia.org/w/index.php?title=Thedomtest&veaction=edit


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz60307.
Ryasmeen created this task.Via LegacyJan 21 2014, 9:30 PM
bzimport added a comment.Via ConduitJan 22 2014, 12:03 PM

cmitasch wrote:

I can confirm the behaviour. It does not work in Chrome but it is working with Firefox 26.0.

gerritbot added a comment.Via ConduitJan 27 2014, 9:46 PM

Change 109759 had a related patch set uploaded by Catrope:
Add .tagName to MWGalleryNode

https://gerrit.wikimedia.org/r/109759

gerritbot added a comment.Via ConduitJan 27 2014, 10:34 PM

Change 109759 merged by jenkins-bot:
Add tagName to ve.dm.MWGalleryNode

https://gerrit.wikimedia.org/r/109759

Ryasmeen added a comment.Via ConduitJan 28 2014, 12:43 AM

Verified the fix in betalabs.

Ryasmeen added a comment.Via ConduitJan 30 2014, 11:26 PM

Verified the fix in mw.org and test2

gerritbot added a comment.Via ConduitFeb 2 2014, 12:06 AM

Change 110826 had a related patch set uploaded by Jforrester:
Add tagName to ve.dm.MWGalleryNode

https://gerrit.wikimedia.org/r/110826

gerritbot added a comment.Via ConduitFeb 3 2014, 11:38 PM

Change 110826 merged by jenkins-bot:
Add tagName to ve.dm.MWGalleryNode

https://gerrit.wikimedia.org/r/110826

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.